use catalogdb;

CREATE TABLE IF NOT EXISTS `service_info` (
  `ID` int (11) AUTO_INCREMENT,
  `SERVICE_INPUT` varchar (5000),
  `SERVICE_PROPERTIES` varchar (5000),
  PRIMARY KEY (`ID`)
)ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `service_artifact`(
  `ARTIFACT_UUID` varchar (200) NOT NULL,
  `TYPE` varchar (200) NOT NULL,
  `NAME` varchar (200) NOT NULL,
  `VERSION` varchar (200) NOT NULL,
  `DESCRIPTION` varchar (200) DEFAULT NULL,
  `CONTENT` LONGTEXT DEFAULT NULL,
  `CHECKSUM` varchar (200) DEFAULT NULL,
  `CREATION_TIMESTAMP` DATETIME DEFAULT CURRENT_TIMESTAMP,
  `SERVICE_MODEL_UUID` varchar (200) NOT NULL,
  PRIMARY KEY (`ARTIFACT_UUID`),
  CONSTRAINT `fk_service_artifact_service_info1` FOREIGN KEY (`SERVICE_MODEL_UUID`) REFERENCES `service` (`MODEL_UUID`) ON DELETE CASCADE ON UPDATE CASCADE
)ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `service_to_service_info` (
  `SERVICE_MODEL_UUID` varchar (200) NOT NULL,
  `SERVICE_INFO_ID` INT (11) NOT NULL,
  PRIMARY KEY (`SERVICE_MODEL_UUID`,`SERVICE_INFO_ID`),
  CONSTRAINT `fk_service_to_service_info__service1` FOREIGN KEY (`SERVICE_MODEL_UUID`) REFERENCES `service` (`MODEL_UUID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_service_to_service_info__service_info1` FOREIGN KEY (`SERVICE_INFO_ID`) REFERENCES `service_info` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE
)